org.wildfly.swarm.config.jmx

## Class JMXRemotingConnector<T extends JMXRemotingConnector<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jmx.JMXRemotingConnector<T>

-     public class JMXRemotingConnector<T extends JMXRemotingConnector<T>>
      extends Object

  A JBoss remoting connector for the JMX subsystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXRemotingConnector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `useManagementEndpoint()` If true the connector will use the management endpoint, otherwise it will use the remoting subsystem one
    `T` | `useManagementEndpoint(Boolean value)` If true the connector will use the management endpoint, otherwise it will use the remoting subsystem one

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXRemotingConnector

          public JMXRemotingConnector()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### useManagementEndpoint

          public Boolean useManagementEndpoint()

      If true the connector will use the management endpoint, otherwise it will use the remoting subsystem one

    - #### useManagementEndpoint

          public T useManagementEndpoint(Boolean value)

      If true the connector will use the management endpoint, otherwise it will use the remoting subsystem one

Copyright © 2018 JBoss by Red Hat. All rights reserved.